Bug 862215 - SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the chr_file random.
SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the ch...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d364b76cb29d3f09c82a2227337...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 06:17 EDT by Stef Walter
Modified: 2012-12-20 09:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 09:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-02 06:17 EDT, Stef Walter
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-02 06:17 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-10-02 06:17:32 EDT
Description of problem:
realmd needs to be able to connect to a IPA server using TLS, and this seems to use the /dev/urandom file.

Additional info:
libreport version: 2.0.14
kernel:         3.6.0-0.rc7.git1.4.fc18.x86_64

description:
:SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the chr_file random.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that realmd should be allowed read access on the random chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep realmd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:realmd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:random_device_t:s0
:Target Objects                random [ chr_file ]
:Source                        realmd
:Source Path                   /usr/lib64/realmd/realmd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           realmd-0.8-2.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-25.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc7.git1.4.fc18.x86_64 #1
:                              SMP Tue Sep 25 19:55:25 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-02 12:16:25 CEST
:Last Seen                     2012-10-02 12:16:25 CEST
:Local ID                      b834b33a-bb46-4b72-833c-74839767b6a3
:
:Raw Audit Messages
:type=AVC msg=audit(1349172985.528:577): avc:  denied  { read } for  pid=15420 comm="realmd" name="random" dev="devtmpfs" ino=1032 scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1349172985.528:577): arch=x86_64 syscall=access success=no exit=EACCES a0=3d8b469444 a1=4 a2=0 a3=0 items=0 ppid=1 pid=15420 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=realmd exe=/usr/lib64/realmd/realmd subj=system_u:system_r:realmd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: realmd,realmd_t,random_device_t,chr_file,read
:
:audit2allow
:
:#============= realmd_t ==============
:#!!!! This avc can be allowed using the boolean 'authlogin_nsswitch_use_ldap'
:
:allow realmd_t random_device_t:chr_file read;
:
:audit2allow -R
:
:#============= realmd_t ==============
:#!!!! This avc can be allowed using the boolean 'authlogin_nsswitch_use_ldap'
:
:allow realmd_t random_device_t:chr_file read;
:
Comment 1 Stef Walter 2012-10-02 06:17:35 EDT
Created attachment 620216 [details]
File: type
Comment 2 Stef Walter 2012-10-02 06:17:37 EDT
Created attachment 620217 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-10-09 12:47:26 EDT
This is actually reading /dev/random.

Fixed in selinux-policy-3.11.1-34.fc18.noarch
Comment 4 Fedora Update System 2012-10-11 05:03:18 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 5 Fedora Update System 2012-10-11 13:21:54 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 09:59:41 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.